Subject: [pim] Re: San Francisco PIM WG meeting minutes

From: "Purvi" <[email-masked]>
Date: Wed, 19 Mar 2003 16:02:21 -0800

Regarding the parallel paths sharing multiple LANS -
How do routers handle a case where there are multiple
interfaces on same subnet and other routers on that LAN can
have any of these multiple interfaces as the next hop for the BSR.
I think currently it is needed that router  forwards same BSM
on all interfaces of the same subnet , since it doesnt know which
interface IP, would had been picked by other routers for RPF to BSR.
This is clearly an unoptimized case if this is the only way to circumvent
this problem. Is there a way to avoid this flooding on multiple
interfaces on same subnet.

I would think that this could had been optimized if there was a notion of
one router id as other protocols have.

Regards,
Purvi

Chris,

You just reminded me that there were suggestions during the meeting
that the rule could be changed to RPF only on the interface, but not
the RPF neighbor. Mark countered with the potential exponential
growth of duplicates in cascad d topologies with parallel paths sharing
multiple LANs over multiple hops. I quesitoned whether using holddown
timers would solve that problem, but don't remember what Mark responded.

The minute is too short to capture the whole presentation. Mark, can
you post your slides online somewhere ? In short, the primary goal was
to "fix" this blackholing of BSM's with as little change to the protocol
as possible (also as backward compatible  as possible). Of course,
different people may have different ideas of what "simple" and "little"
translate into.

-Liming
---------
> From: Cormier Chris-ACC125 <[email-masked]>
>
> two cents on BSR flooding out IIF.
>
> I still believe that this should be optional. I would say that there are
> more cases where we know for sure what our RPF to BSR will be than cases
> where there will be inconsistent RPF routes. The bootstrap packet is
bloated
> as it is, any solution that would "require" more copies of this message
> would not be a good thing.
>
> -Chris Cormier
>
> "2. Mark Handley on PIM BSR flooding problem on LANs with inconsistent
>    RPF information across different routers.
>    Change of rule is to forward BSM out all interfaces including
>    the RPF interface where the BSM was received on."
> _______________________________________________
> pim mailing list
> [email-masked]
> http://catarina.usc.edu/mailman/listinfo/pim
>
_______________________________________________
pim mailing list
[email-masked]
http://catarina.usc.edu/mailman/listinfo/pim

---

From: Stig Venaas <[email-masked]>
Date: Thu, 20 Mar 2003 01:16:33 +0100

> interface IP, would had been picked by other routers for RPF to BSR.

One could perhaps use the discussed hello option? A router could
send BSMs on just one of the interfaces provided that hello messages
include all addresses the router has on the LAN.

Just a quick idea, might be some issues I haven't thought of,

Stig

---

From: "Purvi" <[email-masked]>
Date: Wed, 19 Mar 2003 17:11:01 -0800

Right, I was thinking in this line, but workaround
was to send messages on all routers.
Rpf check followed by check in address list does solve this problem
So if this draft is extended further, this means that a router can send one
hello
for all the interfaces on that subnet. This sounds like hello
messages of other protocols with one router id.

Regards,
-Purvi